Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_SupplierAdmin Class Reference

ProxyPushSupplier. More...

`#include <CEC_SupplierAdmin.h>`

Inheritance diagram for TAO_CEC_SupplierAdmin

[legend]
Collaboration diagram for TAO_CEC_SupplierAdmin:

[legend]
List of all members.

## Public Methods
| TAO_CEC_SupplierAdmin (TAO_CEC_EventChannel* event_channel)
| constructor...
virtual | ~TAO_CEC_SupplierAdmin (void)
| destructor...
void | for_each (TAO_ESF_Worker<TAO_CEC_ProxyPushConsumer> *worker, CORBA::Environment &ACE_TRY_ENV)
| For each elements call <worker->work()>.
void | for_each (TAO_ESF_Worker<TAO_CEC_ProxyPullConsumer> *worker, CORBA::Environment &ACE_TRY_ENV)
| For each elements call <worker->work()>.
virtual void | connected (TAO_CEC_ProxyPushConsumer*, CORBA::Environment&)
| Keep track of connected consumers.
virtual void | reconnected (TAO_CEC_ProxyPushConsumer*, CORBA::Environment&)
virtual void | disconnected (TAO_CEC_ProxyPushConsumer*, CORBA::Environment&)
virtual void | connected (TAO_CEC_ProxyPullConsumer*, CORBA::Environment&)
virtual void | reconnected (TAO_CEC_ProxyPullConsumer*, CORBA::Environment&)
virtual void | disconnected (TAO_CEC_ProxyPullConsumer*, CORBA::Environment&)
virtual void | shutdown (CORBA::Environment&)
| The event channel is shutting down, inform all the consumers of this.

## Detailed Description

ProxyPushSupplier.

Implement the CosEventChannelAdmin::SupplierAdmin interface. This class is an Abstract Factory for the TAO_CEC_ProxyPushConsumer. = MEMORY MANAGMENT It does not assume ownership of the TAO_CEC_EventChannel object = LOCKING @ TODO No provisions for locking, access must be serialized externally. = TODO

## Constructor & Destructor Documentation

TAO_CEC_SupplierAdmin::TAO_CEC_SupplierAdmin ( | TAO_CEC_EventChannel * event_channel )

| constructor...

TAO_CEC_SupplierAdmin::~TAO_CEC_SupplierAdmin ( | void )`[virtual]`

| destructor...

## Member Function Documentation

void TAO_CEC_SupplierAdmin::connected ( | TAO_CEC_ProxyPullConsumer * consumer,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

void TAO_CEC_SupplierAdmin::connected ( | TAO_CEC_ProxyPushConsumer * consumer,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Keep track of connected consumers.

void TAO_CEC_SupplierAdmin::disconnected ( | TAO_CEC_ProxyPullConsumer * consumer,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

void TAO_CEC_SupplierAdmin::disconnected ( | TAO_CEC_ProxyPushConsumer * consumer,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

ACE_INLINE void TAO_CEC_SupplierAdmin::for_each ( | TAO_ESF_Worker< TAO_CEC_ProxyPullConsumer >* worker,
| CORBA::Environment & ACE_TRY_ENV )

| For each elements call <worker->work()>.

ACE_INLINE void TAO_CEC_SupplierAdmin::for_each ( | TAO_ESF_Worker< TAO_CEC_ProxyPushConsumer >* worker,
| CORBA::Environment & ACE_TRY_ENV )

| For each elements call <worker->work()>.

void TAO_CEC_SupplierAdmin::reconnected ( | TAO_CEC_ProxyPullConsumer * consumer,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

void TAO_CEC_SupplierAdmin::reconnected ( | TAO_CEC_ProxyPushConsumer * consumer,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

void TAO_CEC_SupplierAdmin::shutdown ( | CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| The event channel is shutting down, inform all the consumers of this.

The documentation for this class was generated from the following files:

- CEC_SupplierAdmin.h
- CEC_SupplierAdmin.cpp
- CEC_SupplierAdmin.i